
.content > div {
    width: 100%;
}
body {
	font-family: $mainFont;
	font-style: normal;
	font-weight: normal;
	font-size: 12px;
	line-height: 16px;
	.messages__content {
		position: relative;
		.btn-close {
			right: 5px;
			position: absolute;
			top: 2px;
			box-shadow: none;
		}
	}
    .alert-success {
		.placeholder {
			margin-left: 3px;
			margin-right: 4px;
		}
	}
	.container {
		@include md-screen {
			max-width: 1068px;
			main {
				// padding-top: 10px;
				// padding-bottom: 25px;
				&.mirador1 {
					margin-bottom: 0;
				}
				.block {
					padding: 0;
					margin: 0;
				}
			}	
		}
	}
	.homepage-banner {
		.container {
			@include md-screen {
				max-width: 994px;
			}
		}
	}
	a:not(.btn, .button) {
		&:hover, &:focus {
			color: $steelblue !important;
		}
		&:active, &.active {
			color: $steelblue-dark !important;
		}
	}
}

body.page {
	font-family: $mainFont;
	font-style: normal;
	font-weight: normal;
	font-size: 12px;
	line-height: 16px;

	iframe, video, .openseadragon-viewer {
		border: 0 none;
	}
}

.block-title-underlined {
	padding-bottom: 15px;
	border-bottom: 1.5px solid $black;
	text-align: center;
	display: block;
	max-width: 1030px;
    margin-left: auto;
    margin-right: auto;
}

.block-page-title-block {
	margin: 30px 0 50px;
	
	h1 {
		font-family: $mainFont;
		font-style: normal;
		font-weight: 700;
		font-size: 34px;
		color: $black;
		line-height: 41px;
		text-align: center;
		letter-spacing: -0.02em;
	}
}

.block-system-breadcrumb-block {
	border-bottom: 1px solid #000000;

		/* Breadcrumbs */
	li, a {
		font-family: $mainFont;
		font-style: normal;
		font-weight: 500;
		font-size: 14px;
		line-height: 17px;
		letter-spacing: 0.1em;
		text-transform: uppercase;
	}
}
.btn-close {
	box-sizing: content-box;
	width: 1em;
    height: 1em;
    padding: 0.25em 0.25em;
	color: #000;
	background: transparent url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414z'/%3e%3c/svg%3e") center / 1em auto no-repeat; // include transparent for button elements
	border: 0; // for button elements
	border-radius: 0.375rem;
	opacity: 0.5;
	background-size: 12px;

	&:hover, &:focus {
		background-color: transparent!important;
	}
}
.alert svg {
    max-height: 32px;
    width: 20px;
	margin-right: 1.5rem;
}
.horizontal-tabs {
	box-shadow: none!important;
    border: none!important;
    margin: 0!important;
    padding: 0!important;
}
@mixin flex-center {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-wrap: wrap;
}

.flex-center {
	@include flex-center;
}

.flex-left {
	display: flex;
	align-items: center;
	justify-content: flex-start;
}

.flex-right {
	display: flex;
	align-items: center;
	justify-content: flex-end;
}


@mixin breadcrumbLinkColor($theme-name, $breadcrumbLinkColor, $breadcrumbLinkColorActive) {
	.#{$theme-name} {
		.block-system-breadcrumb-block {
			li, a {
				color: $breadcrumbLinkColor;
			}
		}
		a:not(.btn, .button, .fc-heading) {
			&:hover, &:focus {
				color: $breadcrumbLinkColor !important;
			}
			&:active, &.active {
				color: $breadcrumbLinkColorActive !important;
			}
		}
	}
}

.block-mirador {
    height: 100vh!important;
}

// Progress bar theming.
.main-content {
    .progress {
        overflow: visible;
		background: none;

        .progress {
            padding: 10px 6px;
            overflow: visible;
			font-size: 1rem;

            .progress__label,
            .progress__description,
            .progress__percentage {
                overflow: visible;
            }

			.progress__track {
				margin: 0 10px;
			}
        }
    }
    .progress-bar-message {
        margin-top: 1rem;
    }
}

.ui-autocomplete {
	&.ui-menu {
		.ui-menu-item {
			padding: 8px 0px;

			a {
				background: none;
				border: none;
				font-weight: 600;
				text-decoration: none;
			}
		}
	}
}

@include breadcrumbLinkColor($cwrc, $steelblue, $steelblue-dark);
@include breadcrumbLinkColor($leaf, $orange, $black);